Subject: [nfsv4] [FedFS] FEDFS_LOOKUP_FSN definition update

From: James Lentini <[email-masked]>
Date: Mon, 16 Nov 2009 12:35:39 -0500 (EST)

As we discussed at our last meeting, I've updated the definition of 
FEDFS_LOOKUP_FSN.

I've added additional error values, including an option for 
communicating LDAP error values back to the administrator, a malformed 
response error value (FEDFS_ERR_NSDB_RESPONSE) and a generic 
resolution error (FEDFS_ERR_NSDB_FAULT). I've also defined the 
resolution options to include no resolution, cached, and NSDB.

The updated draft is here:

 http://jlentini.users.sourceforge.net/draft-ietf-nfsv4-federated-fs-admin-03bis.txt

and a diff against the previous draft is here:

 http://jlentini.users.sourceforge.net/draft-ietf-nfsv4-federated-fs-admin-rfcdiff.html

Please send any feedback here on the mailing list. I will set aside 
time to discuss these changes at this week's FedFS meeting.

-james